Cancel transfer funds

Note: Enhanced features and improvements are available in the Payment methods API, the new application interface for non-card network authorizations. This Cancel transfer funds endpoint is still supported, but all new feature developments will be available only in the Payment methods API. For more information, contact your Pismo representative.


Cancel a previously authorized transfer made with the Transfer funds endpoint. Pass one of two parameters (but not both) returned from the Transfer funds endpoint to identify the transfer to be canceled:

  • The tracking_id (pass as original_tracking_id)
  • The credit or debit authorization ID (pass as authorization_id).

For an external operation, the acquirer response is returned in the metadata field. If no processing codes are specified, the original authorization's reversal processing codes are used.

This endpoint generates an Authorization cancelled event.

For additional information, see the Cancel transfer guide.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int64
≥ 1

Credit or debit authorization ID (authorization_ids.credit or authorization_ids.debit) returned in the response of the original transfer from the Transfer funds endpoint.

Either this field or the original_tracking_id field is REQUIRED to identify the original transfer that needs to be canceled with this request.

string
length between 36 and 65

Unique tracking ID of the pending cancellation. If you don't provide one, the Pismo platform generates it randomly. This field is useful for tracking and searching transaction information.

This field needs to be sent to guarantee the idempotence of the request. Requests that use the same tracking_id are considered the same. If tracking_id is not received, each request is treated as a new one.

string

Unique tracking ID of the original operation to be cancelled, which is returned from the Transfer funds endpoint as tracking_id.

Either this field or the authorization_id field is REQUIRED to identify the original transfer that needs to be cancelled with this request.

float
required
≥ 0.01

Full or partial amount to cancel, which cannot be more than the original transaction amount. Maximum of two decimal places.

boolean

Indicates whether to cancel associated fees when canceling a transfer operation. When set to true, if a total or partial cancellation of an operation with a fee occurs, the platform automatically cancels the associated fee also. When this flag is not provided:

  • if a total cancellation of an operation with a fee occurs, the platform automatically cancels the fee also.
  • if a partial cancellation of an operation with a fee occurs, the platform does not cancel the fee.
processing_code
object

This optional field identifies the processing codes to be used in the cancellation operation. Depending on the type of transaction you want to cancel, this object can contain only one subfield of string type: credit or debit.

If no processing codes are specified, the platform uses the processing codes that correspond to the reversal of original authorization.

Do not use a reversal processing code in this field since the endpoint processes a reversal operation, automatically gathering the reversal processing code.

acquirer
object
metadata
object

This optional key-value object field can be used with external operations to add supplementary custom information for the operation.

The Pismo platform does not perform any validation or processing on this field but passes this object to the acquirer in transactions involving calls to the acquirer and sends it in the events related to the stream of data produced at the end of the request.

string

This field allows you to provide an optional cancellation description.

The Pismo platform passes this field to the acquirer in transactions involving calls to the acquirer.

Headers
string
required
length between 39 and 39

Unique Org ID.

string

Related correlation ID. If none is provided, a random one is generated.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json